message-broker: increase "open file limit"
Status: Closed Start date: Sep 07, 2015

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: System Application Estimated time: 0.00 hour

Infrastructure: Production   

Description

I've found a lot of exception like this:

2015-09-05 17:55:38,473 | ERROR | Could not accept connection : java.net.SocketException: Too many

 open files | org.apache.activemq.broker.TransportConnector | ActiveMQ Transport Server: tcp://0.0

.0.0:6166

2015-09-05 17:55:38,473 | ERROR | Could not accept connection : java.net.SocketException: Too many

 open files | org.apache.activemq.broker.TransportConnector | ActiveMQ Transport Server: tcp://0.0

.0.0:6166

 Could someone check at this time what is the limit and eventually increase it, please?

History

#1 - Sep 07, 2015 12:36 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- % Done changed from 0 to 90

I doubled the soft limit and increased the hard limit to 54000. From /etc/security/limits.conf:

*     soft      nofile  32000

*     hard      nofile  54000

 The server needs to be restarted to make them active.

I still think this is a dangerous workaround, it only delays the problem but it doesn't stop the (very) broken clients to saturate the connections.

Keep in mind that 65535 is the total number of open tcp sockets that can be open at the same time and reaching that limit will make the machine

completely unresponsive.

#2 - Sep 07, 2015 07:41 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

#3 - Oct 01, 2015 05:54 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed

The new settings are active.
